curl --request GET \
--url https://api.example.com/v1/cases/{case_id}/bank-accounts/{account_id}/recurring-payments \
--header 'Authorization: Bearer <token>'{
"data": [
{
"id": "01K6RP04DJ2T99HRYE78AN7YZA",
"payee_name": "Springfield Electric Co.",
"type": "utility",
"amount": 150,
"frequency": "monthly",
"next_payment_date": "2025-10-15",
"last_payment_date": "2025-09-15",
"status": "active",
"cancellation_date": "2023-12-25",
"cancelled_by": "<string>",
"notes": "<string>",
"created_at": "2023-11-07T05:31:56Z",
"updated_at": "2023-11-07T05:31:56Z"
}
],
"meta": {
"page": 1,
"per_page": 25,
"total_count": 142,
"total_pages": 6,
"next_cursor": "eyJpZCI6IjAxSzVXRjA2TUo2VDk5SFJZRTQ4QU43WE04In0=",
"has_more": true
}
}List all recurring payments and deposits for a bank account.
curl --request GET \
--url https://api.example.com/v1/cases/{case_id}/bank-accounts/{account_id}/recurring-payments \
--header 'Authorization: Bearer <token>'{
"data": [
{
"id": "01K6RP04DJ2T99HRYE78AN7YZA",
"payee_name": "Springfield Electric Co.",
"type": "utility",
"amount": 150,
"frequency": "monthly",
"next_payment_date": "2025-10-15",
"last_payment_date": "2025-09-15",
"status": "active",
"cancellation_date": "2023-12-25",
"cancelled_by": "<string>",
"notes": "<string>",
"created_at": "2023-11-07T05:31:56Z",
"updated_at": "2023-11-07T05:31:56Z"
}
],
"meta": {
"page": 1,
"per_page": 25,
"total_count": 142,
"total_pages": 6,
"next_cursor": "eyJpZCI6IjAxSzVXRjA2TUo2VDk5SFJZRTQ4QU43WE04In0=",
"has_more": true
}
}Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Page number for pagination.
x >= 1Number of items per page.
1 <= x <= 100active, cancelled, paused, transferred direct_deposit, autopay, subscription, loan_payment, insurance_premium, utility, pension, social_security, annuity